GETPID(2)

NAME
getpid, getppid - get parent or calling process identification

SYNOPSIS
#include <unistd.h>
pid_t
getpid(void);
pid_t
getppid(void);

DESCRIPTION
Getpid() returns the process ID of the calling process. The ID is guaranteed to be unique and is useful for constructing temporary file names.

Getppid() returns the process ID of the parent of the calling process.

ERRORS
The getpid() and getppid() functions are always successful, and no return value is reserved to indicate an error.

SEE ALSO
gethostid(3)

STANDARDS
The getpid() and getppid() function calls are expected to conform to p1003.1-90.

HISTORY
A getpid() function call appeared in AT&T UNIX.